/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();
var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID
var ls_module_id='999';
var ls_node=null;//当前选中的Node
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载模块分类下拉框
var v_mtquery = {};
var v_mt_data = jwAppCommonModel.jwAppsCommonDataAction.listSysModuletypeAll(v_mtquery);

var v_parent_data = jwAppColumnModel.jwAppsColumnDataAction.listColumnTree();

var v_column_data = jwAppColumnModel.jwAppsColumnDataAction.listAll();
//加载是否有效下拉框
var v_yesno_data = [{CODE_ID:'1',CODE_NAME:'失效'},{CODE_ID:'0',CODE_NAME:'有效'}];

//数据来源
var v_entity_datasource = [{CODE_ID:'0',CODE_NAME:'手工录入'},
                           {CODE_ID:'1',CODE_NAME:'单点集成'},
                           {CODE_ID:'3',CODE_NAME:'RSS订阅'},
                           {CODE_ID:'4',CODE_NAME:'模拟登录'},
                           {CODE_ID:'5',CODE_NAME:'内容发布'}];
//宽度
var v_entity_width = [{CODE_ID:'1',CODE_NAME:'1'},
                         {CODE_ID:'2',CODE_NAME:'2'},
                         {CODE_ID:'3',CODE_NAME:'3'}];
//宽度
var v_entity_maxBtn = [{CODE_ID:'0',CODE_NAME:'不支持'},
                       {CODE_ID:'1',CODE_NAME:'支持'}];
//授权角色
var v_gidquery = {};
var v_gid_data = jwAppCommonModel.jwAppsCommonDataAction.listSysRoleAll(v_gidquery);
var v_gidquery1 = {"DPT_NO":"all","DPT_NAME":"所有用戶"};
v_gid_data.rowSet.push(v_gidquery1);

//点击动作下拉
var v_entity_is_pop = [{CODE_ID:'0',CODE_NAME:'弹出层'},
                       {CODE_ID:'1',CODE_NAME:'页面跳转'}];

//定时刷新下拉
var v_entity_tasktimer = [{CODE_ID:'0',CODE_NAME:'不刷新'},
                          {CODE_ID:'1',CODE_NAME:'半小时'},
                          {CODE_ID:'2',CODE_NAME:'一小时'},
                          {CODE_ID:'3',CODE_NAME:'半天'},
                          {CODE_ID:'4',CODE_NAME:'一天'}];

//加载来源应用下拉框
var v_appquery = {};
var v_app_data = appstoreModel.dataAction.listAllApp(v_appquery);

//设置菜单栏动作
function inputInitialize(n){
	if(n==null)
		n= $("#P_TYPE").val();
	if(n=='0'){
		$('#blank1').show();
		$('#blank2').hide();
		$('#content1').show();
		$('#content2').show();
		$('#style1').show();
		$('#style2').show();
		$('#app1').hide();
		$('#app2').hide();
		$('#task1').hide();
		$('#task2').hide();
		$('#url1').hide();
		$('#url2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
		$('#pop1').hide();
		$('#pop2').hide();
	}else if(n=='1'){
		$('#blank1').hide();
		$('#blank2').hide();
		$('#url1').show();
		$('#url2').show();
		$('#pop1').show();
		$('#pop2').show();
		$('#task1').show();
		$('#task2').show();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#app1').hide();
		$('#app2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
	}else if(n=='2'){
		$('#blank1').hide();
		$('#blank2').hide();
		$('#url1').show();
		$('#url2').show();
		$('#pop1').show();
		$('#pop2').show();
		$('#task1').show();
		$('#task2').show();
		$('#start1').show();
		$('#start2').show();
		$('#end1').show();
		$('#end2').show();
		$('#encode1').show();
		$('#encode2').show();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#app1').hide();
		$('#app2').hide();
	}else if(n=='3'){
		$('#blank1').hide();
		$('#blank2').hide();
		$('#url1').show();
		$('#url2').show();
		$('#pop1').show();
		$('#pop2').show();
		$('#task1').show();
		$('#task2').show();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#app1').hide();
		$('#app2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
	}else if(n=='4'){
		$('#blank1').hide();
		$('#blank2').hide();
		$('#url1').show();
		$('#url2').show();
		$('#pop1').show();
		$('#pop2').show();
		$('#app1').show();
		$('#app2').show();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
		$('#task1').show();
		$('#task2').show();
	}else if(n=='5'){
		$('#blank1').hide();
		$('#blank2').show();
		$('#pop1').show();
		$('#pop2').show();
		$('#url1').hide();
		$('#url2').hide();
		$('#app1').hide();
		$('#app2').hide();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
		$('#task1').hide();
		$('#task2').hide();
	}else{
		$('#blank1').show();
		$('#blank2').hide();
		$('#pop1').hide();
		$('#pop2').hide();
		$('#url1').hide();
		$('#url2').hide();
		$('#app1').hide();
		$('#app2').hide();
		$('#content1').hide();
		$('#content2').hide();
		$('#style1').hide();
		$('#style2').hide();
		$('#start1').hide();
		$('#start2').hide();
		$('#end1').hide();
		$('#end2').hide();
		$('#encode1').hide();
		$('#encode2').hide();
		$('#task1').hide();
		$('#task2').hide();
	}
}
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"资源设置",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsPortletData_listPTemplate',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'COLUMN_ID',
					title : '所属栏目',
					width : 120,
					align : 'center',
					formatter:function(value){
						return getUUIDName(v_column_data.rowSet,value);
					}
				},
 				{
 					field : 'NAME',
 					title : '资源名称',
 					width : 100,
 					align : 'center'
				}, {
					field : 'TITLE',
					title : '资源主题',
					width : 120,
					align : 'center'
				},{
					field : 'URL',
					title : 'URL载入',
					width : 120,
					align : 'center'
				}, {
					field : 'P_TYPE',
					title : '数据来源',
					width : 120,
					align : 'center',
					formatter:function(value){
						return getCodeName(v_entity_datasource,value);
					}
				}, {
					field : 'G_ID',
					title : '授权角色',
					width : 120,
					align : 'center',
					formatter:function(value){
						return getRoleName(v_gid_data.rowSet,value);
					}
				},{
					field : 'CREATE_TIME',
					title : '创建时间',
					width : 120,
					align : 'center'
				}
             ] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (70 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsPortletView_portletTabDetail",is_row,"新增",true,0.95,0.95,0,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#MAX_BTN').combobox({
		data : v_entity_maxBtn,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#WIDTH').combobox({
		data : v_entity_width,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#P_TYPE').combobox({
		data : v_entity_datasource,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto',
		onChange:function(n,o){
			inputInitialize(n);
		}
	});
	$('#G_ID').combobox({
		data : v_gid_data.rowSet,
		valueField : 'DPT_NO',
		textField : 'DPT_NAME',
		panelHeight : 'auto',
		multiple:true,
		editable:false
	});
	$('#COLUMN_ID').combobox({
		data : v_column_data.rowSet,
		valueField : 'UUID',
		textField : 'NAME',
		panelHeight : 'auto',
		editable:false
	});
	$('#IS_POP').combobox({
		data : v_entity_is_pop,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#TASKTIMER').combobox({
		data : v_entity_tasktimer,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#APP_ID').combobox({
		data : v_app_data.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	UE.delEditor('CONTENT');
	var ue = getbaidu('CONTENT');
	var content="";
	if(is_row.CONTENT!=null&&is_row.CONTENT!='<p>undefined</p>')
	     content=is_row.CONTENT;	
	//判断ueditor 编辑器是否创建成功
    ue.ready(function() {
        // editor准备好之后才可以使用
        ue.setContent(content+"", false); 
    });
    ue.setContent(content+"", false);
}
//保存
function insertData(is_entity){
	var ue = getbaidu('CONTENT');
	is_entity.FIELD_CONTENT=ue.getContent();
	var v_result = jwAppPortletModel.jwAppsPortletActAction.insertPTemplate(is_entity);
	reloadTree();
	$('#list').datagrid('reload', {});
	//$.messager.alert('提示', v_result.VALUE);
	return v_result;
}
/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	inputInitialize();
	$("#list").show();
	
	var row={};
	$.extend(true,row,is_row[0]);
	//内容不传递，再后台重新查询
	delete row.CONTENT;
	openEditRow("jwAppsPortletView_portletTabDetail",row,"编辑",true,0.95,0.95,0,0);	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	var rows=$('#list').datagrid('getRows');
	for(var i=0;i<rows.length;i++){
		if(rows[i].PORTLET_ID==is_row.PORTLET_ID){
			is_row.CONTENT=rows[i].CONTENT;
			break;
		}
	}
	inputInitialize();
	$('#MAX_BTN').combobox({
		data : v_entity_maxBtn,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#WIDTH').combobox({
		data : v_entity_width,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#APP_ID').combobox({
		data : v_app_data.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	$('#TASKTIMER').combobox({
		data : v_entity_tasktimer,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#IS_POP').combobox({
		data : v_entity_is_pop,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#G_ID').combobox({
		data : v_gid_data.rowSet,
		valueField : 'DPT_NO',
		textField : 'DPT_NAME',
		panelHeight : 'auto',
		multiple:true,
		editable:false
	});
	$('#COLUMN_ID').combobox({
		data : v_column_data.rowSet,
		valueField : 'UUID',
		textField : 'NAME',
		panelHeight : 'auto',
		editable:false
	});
	$('#P_TYPE').combobox({
		data : v_entity_datasource,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto',
		onChange:function(n,o){
			inputInitialize(n);
		}
	});
	UE.delEditor('CONTENT');
	var ue = getbaidu('CONTENT');
	var content="";
	if(is_row.CONTENT!=null&&is_row.CONTENT!='<p>undefined</p>')
	     content=is_row.CONTENT;	
	//判断ueditor 编辑器是否创建成功
    ue.ready(function() {
        // editor准备好之后才可以使用
        ue.setContent(content+"", false); 
    });
    ue.setContent(content+"", false);
}
//保存
function updateData(is_entity){
	var ue = getbaidu('CONTENT');
	is_entity.FIELD_CONTENT=ue.getContent();
	var v_result = jwAppPortletModel.jwAppsPortletActAction.updatePTemplate(is_entity);
	reloadTree();
	//$.messager.alert('提示', v_result.VALUE);
	$('#list').datagrid('reload', {});
	return v_result;
}

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].PORTLET_ID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = jwAppPortletModel.jwAppsPortletActAction.deletePTemplate(v_query);
			//$.messager.alert('提示',v_result.VALUE);
			reloadTree();
			$('#list').datagrid('reload', {});
		}
	});
}

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].PORTLET_ID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    var v_result = jwAppPortletModel.jwAppsPortletActAction.deletePTemplate(v_query);
			//$.messager.alert('提示',v_result.VALUE);
			reloadTree();
			$('#list').datagrid('reload', {});
		}
	});
}


/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow() {
	$('#list').datagrid('load', {});
	$("#onlineUsertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#portlettab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：11
 * 功能：加载报表树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
		  ls_node = treeNode;
		  zTree.selectNode(ls_node);
		}else{
			zTree.selectNode(ls_node);
			modifyNode(ls_node);
		}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	//queryData.FIELD_PARENT_ID =treeNode.UUID;
	queryData.FIELD_COLUMN_ID =treeNode.UUID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
	
}
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsColumnData_listColumnTree","coliumnTab_tree","UUID","1");

function reloadTree(){
	loadTree("jwAppsColumnData_listColumnTree","coliumnTab_tree","UUID","1");
}
/****/
